<?php
/*
Plugin Name: demo of  wp_get_attachment_link
Plugin URI: 
Version: 0.1
Description: a Demo for the Wordpress Core Function wp_get_attachment_link. Tag: [demo_attach_link id='3669' size='thumbnail' permalink='page']
Author: Daniel Erpelding
Author URI: http://www.wiesel.lu/
*/

add_shortcode('demo_attach_link','test_wp_link');

function test_wp_link($attr,$content){
    // see http://codex.wordpress.org/Template_Tags/wp_get_attachment_link
    extract(shortcode_atts(array(
		'id'         => '3669',
		'size'       => 'thumbnail',
        'permalink'  => false,
        'icon'       => false
	), $attr));
    $output.=wp_get_attachment_link($id, $size, $permalink, $icon);
    return $output;
}

add_shortcode ('gallery_with_ids','gallery_with_ids');

function gallery_with_ids ($attr,$content){
    global $post;
    extract(shortcode_atts(array(
		'id'         => $post->ID,
		'size'       => 'thumbnail',
        'permalink'  => true,
        'icon'       => false
	), $attr));
    $attachments = get_children( array('post_parent' => $id, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => $order, 'orderby' => $orderby) );

    if ( empty($attachments) )
        return '';
    $out="<table>\n";
    $i=1;
    $out .="<tr>
                <th>No</th>
                <th>Pic_id</th>
                <th>Picture</th>
                <th>description</th>
        </tr>";
    foreach ($attachments as $id=>$set){
        if ($i==1) {
            //echo "<pre>";print_r($set); echo "</pre>";
        }
        $out .= "\t<tr>\n\t\t<th>".$i."</th>\n";
        $out .= "\t\t<td>".$id."</td>\n";
        $out .= "\t\t<td>".wp_get_attachment_link($id, $size, $permalink, $icon)."</td>\n";
        $out .= "\t\t<td><h3>".wptexturize($set->post_title)."</h3>".wptexturize($set->post_content)."</td>\n";
        $out .= "\t</tr>\n";
        $i++;
    }
    $out .= "</table>";
    return $out;
}

?>
